Bug 110773 - bad source code
Summary: bad source code
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: MagicPoint   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-24 15:33 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 1.10a-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-28 09:59:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2003-11-24 15:33:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:

Hello there,

I just tried to compile package MagicPoint-1_10a-4, from Fedora,
with compiler flag -Wall. The compiler said

gif.c:106: warning: too few arguments for format

The source code is
                                fprintf(stderr,
"Image %d is not confined to screen dimension, aborted.\n");

The compiler also said

pbm.c:363: warning: operation on `destptr' may be undefined

The source code is 

        *(destptr++) = PM_SCALE(*destptr, maxval, 0xff);

I seem to remember reporting these bugs in Redhat 8.0, but they 
don't seem to be fixed yet.



Version-Release number of selected component (if applicable):
MagicPoint-1_10a-4

How reproducible:
Always

Steps to Reproduce:
1. by inspection
2.
3.
    

Additional info:

Comment 1 Akira TAGOH 2003-11-28 09:59:01 UTC
Fixed in 1.10a-5.


Note You need to log in before you can comment on or make changes to this bug.